### Method

# Camel NNTPAddress add

#### Declaration [src]

    gint
    camel_nntp_address_add (
      CamelNNTPAddress* addr,
      const gchar* name
    )

#### Description [src]

Add a new nntp address to the address object. Duplicates are not added twice.

#### Parameters

`name`

  Type: `const gchar*`

  A new NNTP address to add.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gint`

Index of added entry, or existing matching entry.